Bug 973113 - PRD35 - [RFE] Link to the release notes from the landing page
PRD35 - [RFE] Link to the release notes from the landing page
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: rhevm-branding-rhev (Show other bugs)
3.3.0
x86_64 Linux
medium Severity medium
: ---
: 3.5.0
Assigned To: Alexander Wels
Jiri Belka
ux
: FutureFeature, ZStream
Depends On:
Blocks: 902971 894399 1103896 rhev3.5beta3
  Show dependency treegraph
 
Reported: 2013-06-11 06:04 EDT by Lee Yarwood
Modified: 2015-02-16 08:36 EST (History)
11 users (show)

See Also:
Fixed In Version: vt4
Doc Type: Enhancement
Doc Text:
Feature: Link to the release notes from the welcome page. Reason: Allow the user to easily locate what is new in the release. Result: A link on the welcome page to the release notes.
Story Points: ---
Clone Of:
: 1103896 (view as bug list)
Environment:
Last Closed: 2015-02-16 08:36:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Itamar Heim 2013-06-11 08:54:32 EDT
we need a fixed url, or a url accepting a parameter with the 3.3.x version - it can't be changed manually every z-stream.
need to check with documentation team if this can be done
Comment 2 Itamar Heim 2013-12-01 04:00:47 EST
lee or keith - thoughts on how to solve comment 1?
Comment 3 Lee Yarwood 2013-12-04 10:47:15 EST
(In reply to Itamar Heim from comment #2)
> lee or keith - thoughts on how to solve comment 1?

Have the Manager release notes shipped within rhevm-doc and then use a relative URL to the what's new? section, as we do [1] on access.redhat.com. The docs team would just need to ensure they don't change the URL between minor releases.

Does this sound reasonable?

[1] https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3-Beta/html/Manager_Release_Notes/chap-Whats_New.html
Comment 4 Itamar Heim 2013-12-04 10:54:42 EST
I was assuming they would be changing post shipping hence should be online.
andrew - thoughts?
Comment 5 Andrew Cathrow 2013-12-06 17:41:32 EST
Arthur, please can you take this.
Comment 6 Greg Sheremeta 2014-05-22 15:49:27 EDT
Release Notes are now packaged in rhevm-doc starting with 3.4.0.
Comment 7 Einav Cohen 2014-05-22 16:07:30 EDT
removing the "What's new" splash screen request, leaving only the Release Notes link request:

(1) splash screen is trickier - we'd probably want a "don't show that to me again" check-box somewhere (where?), a cookie to save that, etc. and all of that needs to be downstream-only somehow - not trivial...

(2) per (1) being non-trivial: we wouldn't want to do a splash-screen for z-stream, but we do want to do the release-notes link in z-stream. therefore, they need to be tracked separately. 

(3) I think that the splash-screen needs to be re-considered: do we really need it? the Release Notes book has a "What's New" chapter in it, clearly linked in the book's table of contents?

if you still think that a "What's New splash screen" is needed, please open a separate RFE for it (flagged for 3.5 or later). 

thanks.
Comment 11 Jiri Belka 2014-10-01 05:05:35 EDT
ok, rhevm-3.5.0-0.13.beta.el6ev.noarch

Note You need to log in before you can comment on or make changes to this bug.